FROM python:3.9-slim

WORKDIR /app

COPY requirements.txt .
RUN pip install --no-cache-dir -r requirements.txt

COPY famousquotes.py .

# Defines o varianta de baza
ENV QUOTE_API_URL="https://api.quotable.io/random"

CMD ["python", "famousquotes.py"]